summaryrefslogtreecommitdiffstats
path: root/bin/d-i_check_jobs.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-11-12 09:44:28 +0100
committerHolger Levsen <holger@layer-acht.org>2012-11-12 09:44:28 +0100
commit2b84e162d4d8d516ca1389c81e2fc8c24ec2f780 (patch)
tree2d26e270442ef0da438059a53f32cdf163aed3e7 /bin/d-i_check_jobs.sh
parentfb6d71f538e15f735b10e183181770c77fdbf008 (diff)
downloadjenkins.debian.net-2b84e162d4d8d516ca1389c81e2fc8c24ec2f780.tar.xz
add job to check for missing d-i jobs
Diffstat (limited to 'bin/d-i_check_jobs.sh')
-rwxr-xr-xbin/d-i_check_jobs.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/bin/d-i_check_jobs.sh b/bin/d-i_check_jobs.sh
new file mode 100755
index 00000000..a781912e
--- /dev/null
+++ b/bin/d-i_check_jobs.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+#
+# default settings
+#
+set -x
+set -e
+export LC_ALL=C
+export http_proxy="http://localhost:3128"
+
+URL="http://anonscm.debian.org/viewvc/d-i/trunk/.mrconfig?view=co"
+FAIL=false
+DI_JOBPATTERN=d-i_build_
+
+#
+# check for missing d-i package build jobs
+# for this, we compare referred git repos in .mrconfig against locally existing jenkins jobs
+# (see http://wiki.debian.org/DebianInstaller/CheckOut)
+#
+echo "Scanning $URL for reffered git repos which have no jenkins job associated."
+curl $URL 2>/dev/null
+for PACKAGE in $( grep git.debian.org/git/d-i $TMPFILE|cut -d "/" -f6-) ; do
+ #
+ # check if a jenkins job exist
+ #
+ if [ ! -d ~jenkins/jobs/${DI_JOBPATTERN}${PACKAGE} ] ; then
+ echo "Warning: No build job \'${DI_JOBPATTERN}${PACKAGE}\'."
+ FAIL=true
+ else
+ echo "Ok: Job \'${DI_JOBPATTERN}${PACKAGE}\' exists."
+ fi
+done
+echo
+
+#
+# check for missing d-i manual lanague build jobs
+#
+# FIXME: implement this check ;-)
+
+#
+# fail this job if missing d-i jobs are detected
+#
+if $FAIL ; then
+ figlet "Missing jobs!"
+ exit 1
+else
+ figlet ok
+fi